Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#21 Unable tobuild PyUt

v1.3a1
closed-works-for-me
nobody
others (11)
5
2003-06-22
2003-05-08
Anonymous
No

Bugs item #734123, was opened at 2003-05-07 11:52
Message generated for change (Comment added) made
by robind
You can respond by visiting:
https://sourceforge.net/tracker/?
func=detail&atid=109863&aid=734123&group_id=9863

Category: Build -- wxPython
Group: Fatal
>Status: Closed
>Resolution: Wont Fix
Priority: 5
Submitted By: Nobody/Anonymous (nobody)
Assigned to: Robin Dunn (robind)
Summary: Problem with wxPython when building PyUt

Initial Comment:
I have Python 2.2.2 with wxPython 2.4.0.7

When I try to run PyUt I get this result:

C:\Data\PyUt\1.3a1\bin>python pyut.pyw
pyut.pyw
Installing language < en >
Importing I/O plugin from file IoCpp
Importing I/O plugin from file IoJava
Importing I/O plugin from file IoJavaReverse
Importing I/O plugin from file IoMysqlV1
Importing I/O plugin from file IoPython
Importing I/O plugin from file IoXmi
Importing I/O plugin from file IoXmi_OMG
Importing I/O plugin from file IoXml
Importing tool plugin from file ToAscii
Importing tool plugin from file ToFastEdit
Importing tool plugin from file ToGraphicalOperations
Importing tool plugin from file ToPatterns
Importing tool plugin from file ToPython
Importing tool plugin from file ToSugiyama
Importing tool plugin from file ToTest
Importing tool plugin from file ToTransforms
Importing tool plugin from file ToZoom
=========================================
==================
Error : wxPython.wxc.wxPyAssertionError
Msg : C++ assertion "wxAssertFailure" failed in
e:\projects\wx\src\msw\treectr
l.cpp(749): can't retrieve virtual root item
Trace :
('C:\Data\PyUt\1.3a1\bin\PyutApp.py',
55, 'OnInit', 'self.frame=AppFrame(NU
LL, -1, "Pyut")')
('C:\Data\PyUt\1.3a1\bin\AppFrame.py',
134, '__init__', 'self._fileHandling
= FileHandling(self, self._ctrl)')
('C:\Data\PyUt\1.3a1\bin\FileHandling.py',
85, '__init__', 'self._initGraph
icalElements()')
('C:\Data\PyUt\1.3a1\bin\FileHandling.py',
113, '_initGraphicalElements', '
self.__projectTree.SetPyData(self.__projectTreeRoot,
None)')
('C:\PROGRA~1\Python22\Lib\site-
packages\wxPython\controls2.py', 990, 'Set
PyData', 'val = apply(controls2c.wxTreeCtrl_SetPyData,
(self,) + _args, _kwargs)'
)
OnInit returned FALSE, exiting...
20:24:48: Debug: e:\projects\wx\src\msw\app.cpp
(439): 'UnregisterClass(canvas)'
failed with error 0x00000584 (class still has open
windows.).

I har tryed 3 versions from pyut.sf.net (1.1, 1.2 and
1.3a1) all with same result

What to do.

Regards Sten

----------------------------------------------------------------------

>Comment By: Robin Dunn (robind)
Date: 2003-05-07 15:04

Message:
Logged In: YES
user_id=53955

This sounds like a problem with PyUT. Perhaps you
should
contact them about it.

----------------------------------------------------------------------

You can respond by visiting:
https://sourceforge.net/tracker/?
func=detail&atid=109863&aid=734123&group_id=9863

Discussion

  • Cédric Dutoit
    Cédric Dutoit
    2003-05-14

    Logged In: YES
    user_id=64541

    What platform do you have and which version ?
    This works well under win2000 and linux redhat 8 & 9!

     
  • Logged In: YES
    user_id=773850

    Sorry for not responding before now. I have been away.

    I have tryed this on Win2k and WindowXP with the same
    result.

    I have tryed the wxPython Demo works fine, I have tryed the
    PyutSetup_20020712.exe binaries works fine, but when ever I
    try to compile the source code I get the result above.

    Is it me, who is doing anything wrong.

     
  • Logged In: YES
    user_id=773850

    After downloading the version pyut-1.3a2.tgz all my problems
    suddenly disappear. So someone have fixed the problem.

    :-|

     
  • Cédric Dutoit
    Cédric Dutoit
    2003-06-22

    • status: open --> closed-works-for-me